:root {
	--base: #333F48;
	--required: #C8102E;

	--primary: #C8102E;

	--secondary: #337099;
	--secondaryLight: #56B7E6;

	--tertiary: #702F8A;
	--tertiaryLight: #C98BDB;
	--tertiaryDark: #2E1A47;
	--tertiaryDarkLight: hsl(267, 46%, 23%);

	--success: #1acd35;

	--neutralDarkest: #000;
	--neutralDarker: var(--base);
	--neutralDark: #7C878E;
	--neutral: #A4BCC2;
	--neutralMid: #D2DEE1;
	--neutralMidRGB: 210, 222, 225;
	--neutralLight: #E8EEEF;
	--neutralLightRGB: 232, 238, 239;
	--neutralLightest: #fff;

}

@font-face {
	font-family: 'Bentham';
	font-weight: 400;
	font-style: normal;
	font-display: swap;
	src: url("../fonts/proximanova-regular-webfont.woff") format("woff"),
		url("../fonts/proximanova-regular-webfont.woff2") format("woff2");
}

@font-face {
	font-family: 'Bentham';
	font-weight: 400;
	font-style: italic;
	font-display: swap;
	src: url("../fonts/proximanova-regularit-webfont.woff") format("woff"),
		url("../fonts/proximanova-regularit-webfont.woff2") format("woff2");
}

@font-face {
	font-family: 'Bentham';
	font-weight: 700;
	font-style: normal;
	font-display: swap;
	src: url("../fonts/proximanova-extrabold-webfont.woff") format("woff"),
		url("../fonts/proximanova-extrabold-webfont.woff2") format("woff2");
}

@font-face {
	font-family: 'Bentham';
	font-weight: 700;
	font-style: italic;
	font-display: swap;
	src: url("../fonts/proximanova-extraboldit-webfont.woff") format("woff"),
		url("../fonts/proximanova-extraboldit-webfont.woff2") format("woff2");
}

* {
	-webkit-font-smoothing: antialiased;
	-moz-osx-font-smoothing: grayscale;
}


body {
	--font-stack: 'Bentham', 'HelveticaNeue-Light', 'Helvetica Neue Light', 'Helvetica Neue', Helvetica, Arial, 'Lucida Grande', sans-serif;
	--color-background-primary: var(--neutralLight);
	--color-background-secondary: var(--neutralMid);
	--color-content-foreground: var(--base);
	--color-brand-primary: var(--primary);

	--color-link: var(--primary);
	--color-link--visited: var(--tertiary);

	--color-sidebar-item-background--hover: rgba(var(--neutralLightRGB), 0.5);

	-webkit-font-smoothing: antialiased;
	-moz-osx-font-smoothing: grayscale;

}

.sidebar-brand::before {
	content: '';
	background: url('../img/logo.svg') left center / contain no-repeat;
	width: auto;
	height: 4.5rem;
	display: block;
	margin-block: 1rem 0.5rem;
}

.sidebar-brand-text {
	font-size: 1.1rem;
}

/* Dark mode */

body[data-theme="dark"] {
	--color-background-primary: var(--tertiaryDarkLight);
	--color-background-secondary: var(--tertiaryDark);
	--color-code-background: #202020;
	--color-content-foreground: var(--neutralMid);
	--color-link: #e13954;
	--color-link--visited: var(--primary);
	--color-brand-primary: #e13954;
	--color-sidebar-item-background--hover: rgba(255, 255, 255, 0.1);
}

body[data-theme="dark"] .sidebar-brand::before {
	filter: brightness(0) invert(1) opacity(0.3);
}
